/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 28/07/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class JenisProdukDto {

    @NotNull(message = "jenisprodukdto.namajenisproduk.notnull")
    private String namaJenisProduk;

    @NotNull(message = "jenisprodukdto.reportdisplay.notnull")
    private String reportDisplay;

    private Integer kdJenisProdukHead;

    private String kodeExternal;

    private String namaExternal;

    @NotNull(message = "jenisproduk.statusenabled.notnull")
    private Boolean statusEnabled;


}
